﻿Public Class TabControlEx
    Inherits TabControl

    Private TabPages2 As TabPageCollection

    Public Sub HideNavigationButtons()
        Me.ItemSize = New Drawing.Size(0, 1)
        Me.Appearance = TabAppearance.FlatButtons
        Me.SizeMode = TabSizeMode.Fixed

        Me.TabPages2 = New TabPageCollection(Me)
        For Each TabPageToHide As TabPage In Me.TabPages
            Me.TabPages2.Add(TabPageToHide)
            Me.TabPages.Remove(TabPageToHide)
        Next
        Me.ShowOnlyMe(TabPages2(Me.SelectedIndex))
    End Sub

    Public Sub ShowOnlyMe(TabPage As TabPage)
        For Each TabPageToHide As TabPage In Me.TabPages
            Me.TabPages.Remove(TabPageToHide)
        Next
        Me.TabPages.Add(TabPage)
    End Sub
End Class
